- Main Page
- Classes
- Files

# My Documents/TS2/inc/MyDrawSprite.h File Reference

Header file containing function declarations for drawing 2D sprites in 3D world. More...

`#include "d3dx9.h"`

Include dependency graph for MyDrawSprite.h:

This graph shows which files directly or indirectly include this file:

## Functions
void | my_DrawSprite (D3DXMATRIX *mat, D3DXVECTOR2 *scaling, D3DXVECTOR2 *spriteCentre, float rotation, D3DXVECTOR2 *trans, LPDIRECT3DTEXTURE9 Tex, LPD3DXSPRITE m_sprite, bool enabled, LPRECT rect, WCHAR *strText, LPD3DXFONT pFont, D3DCOLOR color)
| my_DrawSprite draws sprite with the given billion parameters.
void | my_DrawOutlineText (D3DXMATRIX *mat, D3DXVECTOR2 *scaling, D3DXVECTOR2 *spriteCentre, float rotation, D3DXVECTOR2 *trans, LPD3DXSPRITE m_sprite, LPD3DXFONT pFont, WCHAR *strText, LPRECT rect, D3DCOLOR color, D3DCOLOR outlineColor)
| Ahh, my_DrawOutlineText, this is how I draw fancy outlined text used for intro movie.
void | my_DrawText (D3DXMATRIX *mat, D3DXVECTOR2 *scaling, D3DXVECTOR2 *spriteCentre, float rotation, D3DXVECTOR2 *trans, LPD3DXSPRITE sprite, LPD3DXFONT pFont, WCHAR *strText, LPRECT rect, D3DCOLOR color)
| Draws text on sprite.

## Detailed Description

Header file containing function declarations for drawing 2D sprites in 3D world.

Author:
  Petar Bajic, MPE (C) All Rights Reserved, Homepage: www.mystic-peanut.com

Date:
  January, 16 2007.

## Function Documentation

void my_DrawOutlineText | ( | D3DXMATRIX * | mat,
|  | D3DXVECTOR2 * | scaling,
|  | D3DXVECTOR2 * | spriteCentre,
|  | float | rotation,
|  | D3DXVECTOR2 * | trans,
|  | LPD3DXSPRITE | sprite,
|  | LPD3DXFONT | pFont,
|  | WCHAR * | strText,
|  | LPRECT | rect,
|  | D3DCOLOR | color,
|  | D3DCOLOR | outlineColor |
| ) |  |  |

Ahh, my_DrawOutlineText, this is how I draw fancy outlined text used for intro movie.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void my_DrawSprite | ( | D3DXMATRIX * | mat,
|  | D3DXVECTOR2 * | scaling,
|  | D3DXVECTOR2 * | spriteCentre,
|  | float | rotation,
|  | D3DXVECTOR2 * | trans,
|  | LPDIRECT3DTEXTURE9 | tex,
|  | LPD3DXSPRITE | sprite,
|  | bool | enabled,
|  | LPRECT | rect,
|  | WCHAR * | strText,
|  | LPD3DXFONT | pFont,
|  | D3DCOLOR | color |
| ) |  |  |

my_DrawSprite draws sprite with the given billion parameters.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void my_DrawText | ( | D3DXMATRIX * | mat,
|  | D3DXVECTOR2 * | scaling,
|  | D3DXVECTOR2 * | spriteCentre,
|  | float | rotation,
|  | D3DXVECTOR2 * | trans,
|  | LPD3DXSPRITE | sprite,
|  | LPD3DXFONT | pFont,
|  | WCHAR * | strText,
|  | LPRECT | rect,
|  | D3DCOLOR | color |
| ) |  |  |

Draws text on sprite.

Author:
  Petar Bajic

Date:
  January, 16 2007.